<?php
/****************************************
 * About Us 1.0
 * $Id: memcp.inc.php 2011-08-31
 * Developed by Rufey_Lau (QQ:624210937)
 ****************************************/

if(!defined('IN_DISCUZ')){
	exit("Access Denied!");	
}

/* Basic */
$SystemDir = DISCUZ_ROOT."source/plugin/aboutus/";
$HttpDir = $_G['siteurl']."source/plugin/aboutus/";
$var = $_G['cache']['plugin']['aboutus'];
$self = $_G['PHP_SELF'];
$syminc = $_G['PHP_SELF']."?";
$isadmin = in_array($_G['uid'], explode(",", $var['admins'])) ? true : false;

/* Template */
$template = DB::result_first("SELECT identifier FROM ".DB::table('aboutus_rufey_tpl')." WHERE templateid='$var[using]'");
if(empty($template)){
	showmessage(lang('plugin/aboutus', 'notpl'), $_G['siteurl']);
	exit;
}
$IMGPATH = $HttpDir."template/".$template."/image/";

/* Functions */
function aboutStatic($url, $return = FALSE){
	global $var,$self;
	if($var['rewrite']){
		$address = dhtmlspecialchars($url);
		$address = str_replace(basename($self), $var['staticpre'], $address);
		$address = preg_replace("/\?show\=(.+?)/", "-\\1", $address);
		$address = $address.".html";
	}else{
		$address = dhtmlspecialchars($url);
	}
	if($return) return $address;
	else echo $address;
}
function datalist($table, $condition = '', $ispage = TRUE, $rows = 10, $orderby = '', $pageurl = '', $order = 'desc', $oiscomma = TRUE){
	global $_G;
	$result = array();
	if($ispage){
		$page = max(1, $_G['gp_page']);
		$start = ($page - 1) * $rows;
		$limit = "limit $start,$rows";
	}else{
		if($rows){	$limit = "limit 0,$rows";	}else{	$limit = '';	}
	}
	if($orderby!==''){
		if($oiscomma){
			$theorder = "order by `$orderby` $order";
		}else{
			$theorder = "order by $orderby $order";
		}
	}else{
		$theorder = '';
	}
	if($condition !== ''){
		$condition = 'WHERE '.$condition;	
	}
	$query = DB::query("SELECT * FROM ".DB::table($table)." $condition $theorder $limit");
	while($fetch = DB::fetch($query)){
		$result[] = $fetch;	
	}
	$count = DB::result_first("SELECT COUNT(*) FROM ".DB::table($table)." $condition");
	$multi = multi($count, $rows, $page, $pageurl);
	$return = array($result,$multi, $count);
	return $return;
}

/* Modules */
if($_G['gp_mod']==''){
	list($navs) = datalist('aboutus_rufey', "isdisplay='1'", 0, 0, 'displayorder', '', "ASC"); //Listing the navs
	if(empty($navs)){
		showmessage(lang('plugin/aboutus', 'nocont'), $syminc."mod=admin");
	}else{
		$show = dhtmlspecialchars($_G['gp_show']);
		$firstnav = DB::result_first("SELECT rewrite FROM ".DB::table('aboutus_rufey')." ORDER BY displayorder");
		$firstadr = aboutStatic($syminc.'show='.$firstnav, true);
		if($show == '') header("location: $firstadr");
		
		if($show) $showing = DB::fetch_first("SELECT * FROM ".DB::table('aboutus_rufey')." WHERE rewrite='$show'");
		else $showing = DB::fetch_first("SELECT * FROM ".DB::table('aboutus_rufey')." WHERE rewrite='$firstnav'");
		$showing['contents'] = stripslashes(base64_decode($showing['contents']));
		$titles = !($var['titles']=='') ? " - ".$var['titles'] : '';
		$navtitle = $showing['name'] . $titles;
		$metakeywords = $showing['keywords'];
		$metadescription = $showing['description'];
		$_G['setting']['seohead'] .= $showing['seoinfo'];
	}
}elseif($_G['gp_mod']=="newdatas" && $isadmin && $_G['gp_formhash'] == FORMHASH){
	$data = array(
		'displayorder' => intval($_G['gp_displayorder']),
		'name' => dhtmlspecialchars($_G['gp_name']),
		'contents' => base64_encode($_G['gp_content']),
		'keywords' => strip_tags($_G['gp_keywords']),
		'description' => strip_tags($_G['gp_description']),
		'seoinfo' => base64_encode($_G['gp_seoinfo']),
		'rewrite' => strip_tags($_G['gp_rewrite'])
	);
	$data['name']=='' && showmessage(lang('plugin/aboutus', 'emptyNavname'), "javascript:back()");
	DB::insert('aboutus_rufey', $data);
	showmessage(lang('plugin/aboutus', 'doitok'), $_SERVER['HTTP_REFERER']);
}elseif($_G['gp_mod']=="editdatas" && $isadmin && $_G['gp_formhash'] == FORMHASH){
	$aid = intval($_G['gp_aid']);
	$data = array(
		'displayorder' => intval($_G['gp_displayorder']),
		'name' => dhtmlspecialchars($_G['gp_name']),
		'contents' => base64_encode($_G['gp_content']),
		'keywords' => strip_tags($_G['gp_keywords']),
		'description' => strip_tags($_G['gp_description']),
		'seoinfo' => base64_encode($_G['gp_seoinfo']),
		'rewrite' => strip_tags($_G['gp_rewrite'])
	);
	DB::update('aboutus_rufey', $data, "aid='$aid'");
	showmessage(lang('plugin/aboutus', 'doitok'), $syminc."mod=admin&amp;option=manage");
}elseif($_G['gp_mod']=="simple" && $isadmin && $_G['gp_formhash'] == FORMHASH){
	if(is_array($_G['gp_delete'])){
		$aids = $comma = '';
		foreach($_G['gp_delete'] as $aid){
			$aid = intval($aid);
			$aids .= "$comma'$aid'";
			$comma = ",";
		}
		DB::query("DELETE FROM ".DB::table('aboutus_rufey')." WHERE aid IN($aids)");
	}
	if(is_array($_G['gp_name'])){
		foreach($_G['gp_name'] as $aid => $val){
			$data = array(
				'displayorder' => intval($_G['gp_displayorder'][$aid]),
				'name' => dhtmlspecialchars($_G['gp_name'][$aid]),
				'isdisplay' => dhtmlspecialchars($_G['gp_isdisplay'][$aid]),
			);
			DB::update('aboutus_rufey', $data, "aid='$aid'");
		}
	}
	showmessage(lang('plugin/aboutus', 'doitok'), $_SERVER['HTTP_REFERER']);
}elseif($_G['gp_mod']=="admin" && $isadmin){
	$_G['setting']['seohead'] .= "<script type=\"text/javascript\" src=\"{$_G[siteurl]}source/plugin/aboutus/js/jquery.js\"></script>
	<script type=\"text/javascript\" src=\"{$_G[siteurl]}source/plugin/aboutus/js/xheditor.min.js\"></script>";
	if($_G['gp_option']=='') header("location: {$syminc}mod=admin&option=add");
	if($_G['gp_option']=="manage"){
		if(intval($_G['gp_aid'])){
			$aid = intval($_G['gp_aid']);
			$inedit = true;
			$vals = DB::fetch_first("SELECT * FROM ".DB::table('aboutus_rufey')." WHERE aid='$aid'");
		}
		list($result, $multi) = datalist('aboutus_rufey', "", 1, 15, 'displayorder', $syminc."mod=admin&option=manage", "ASC");
	}
	include template("aboutus:contents");
	exit;
}

include template("aboutus:{$template}/tpl");
?>