<?php
/****************************************
 * About Us 1.0
 * $Id: template.inc.php 2011-08-31
 * Developed by Rufey_Lau (QQ:624210937)
 ****************************************/

if(!defined('IN_DISCUZ')||!defined('IN_ADMINCP')) exit("Access Denied!");
define('IN_ABOUTUS', true);

$nowDir = dirname(__FILE__)."/template";
$dirs = array();
$insed = array();
loadcache('plugin');
$var = $_G['cache']['plugin']['aboutus'];

function GetCopyright($identifier){
	global $nowDir;
	$array = array();
	@include "$nowDir/$identifier/config.php";
	return dhtmlspecialchars($var['copyright']);
}
function GetName($identifier){
	global $nowDir;
	$array = array();
	@include "$nowDir/$identifier/config.php";
	return dhtmlspecialchars($var['name']);
}

/* Installing the template */
if($_G['gp_modac'] == "install" && $_G['gp_formhash'] == FORMHASH){
	$iden = dhtmlspecialchars($_G['gp_iden']);
	$data = array(
		'name' => GetName($iden),
		'identifier' => $iden,
		'copyright' => GetCopyright($iden)
	);
	DB::insert('aboutus_rufey_tpl', $data);
	cpmsg(lang('plugin/aboutus', 'installed'), 'action=plugins&operation=config&do=22&identifier=aboutus&pmod=template', 'succeed');
}

if(is_dir($nowDir) && is_readable($nowDir)){
	$open = opendir($nowDir);
	while($tpls = readdir($open)){
		$checkfile = "$nowDir/$tpls/config.php";
		if(file_exists($checkfile)){
			$dirs[] = $tpls;
			$insed[] = DB::fetch_first("SELECT * FROM ".DB::table('aboutus_rufey_tpl')." WHERE identifier='$tpls'");
		}
	}
}

if(submitcheck('typesubmit') && $_G['gp_formhash'] == FORMHASH){
	if(is_array($_G['gp_delete'])){
		$tids = $comma = '';
		foreach($_G['gp_delete'] as $tid){
			$tids .= "$comma'$tid'";
			$comma = ",";
		}
		DB::query("DELETE FROM ".DB::table('aboutus_rufey_tpl')." WHERE templateid IN ($tids)");
	}
	$pluginid = DB::result_first("SELECT pluginid FROM ".DB::table('common_plugin')." WHERE identifier='aboutus'");
	DB::update('common_pluginvar', array('value' => intval($_G['gp_inuse'])), array('pluginid' => $pluginid, 'variable' => 'using'));
	require_once libfile('function/cache');
	updatecache('plugin');
	
	cpmsg(lang('plugin/aboutus', 'doitok'), 'action=plugins&operation=config&do=22&identifier=aboutus&pmod=template', 'succeed');
}

include template('aboutus:admincp');

?>